Manual08/fr

From FreeCAD Documentation
Jump to: navigation, search




Manuel



de



FreeCAD





Splash013.jpg




Ce manuel traite des Outils de création d'objets.


Part Design



Outils de création d'objets solides

Arrow-left.svg Page précédente: PartDesign Clone.png Créer un clone
Page suivante: Révolution PartDesign Revolution.png Arrow-right.svg

PartDesign Pad.svg Protrusion

Emplacement du menu
Part Design → Protrusion
Ateliers
Part Design, Complet
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun

Contents


Description

L'outil Protrusion extrude une esquisse sélectionnée dans une direction normale au plan de l'esquisse. À partir de la v0.17, les faces sur un solide peuvent également être utilisées.

PartDesign Pad example.svg

L'esquisse (A) est montrée à gauche ; le solide résultant de l'opération de protrusion (B) est à droite.

v0.16 et antérieures Si l'esquisse sélectionnée est appliquée sur la face d'une solide existant ou d'une autre fonction Part Design, la protrusion sera fusionnée au solide.

Utilisation

  1. Sélectionner une esquisse. Sous v0.17 et ultérieures, une face du solide peut également être utilisée.
  2. Cliquer sur le bouton PartDesign Pad.png Protrusion.
  3. Définir les paramètres de protrusion (voir section suivante).
  4. Cliquer sur OK.

Options

Lors de la création de la protrusion, la vue combinée bascule automatiquement à l'onglet Tâches, qui affiche le dialogue « Paramètres de protrusion ».

Pad parameters cropped fr.png

Type

Offre 5 différentes façons de définir la longueur de la protrusion.

Dimension

Permet de saisir une valeur numérique pour la longueur de la protrusion. La direction par défaut de la protrusion est vers le haut du plan d'esquisse, mais cela peut être changé en cochant la case Inversé. La protrusion s'effectue normale au plan de l'esquisse. L'option Symétrique au plan étendra la protrusion à la moitié de la longueur saisie de chaque côté du plan d'esquisse. Les dimensions négatives ne sont pas permises, utilisez plutôt l'option Inversé.

Deux dimensions

Permet de saisir une seconde valeur de longueur pour prolonger la protrusion dans la direction opposée (à travers le support). La direction peut également être changée avec l'option Inversé.

Au dernier

La protrusion sera prolongée jusqu'à la dernière face rencontrée dans la direction d'extrusion. S'il n'y a aucun support rencontré, un message d'erreur apparaîtra.

Au premier

La protrusion sera prolongée jusqu'à la première face rencontrée dans la direction d'extrusion. S'il n'y a aucun support rencontré, un message d'erreur apparaîtra.

Jusqu'à la face

La protrusion sera prolongée jusqu'à la face sélectionnée du support. La face est sélectionnée en cliquant sur le bouton Face, puis en cliquant sur la face désirée dans la vue modèle. S'il n'y a aucun support, aucune sélection ne sera allouée.

Longueur

Définit la longueur de la protrusion. Plusieurs unités peuvent être utilisées, indépendamment des préférences de l'utilisateur (m, cm, mm, nm, ft ou ' pour pieds, in ou " pour pouces).

Symétrique au plan

Cocher la case pour prolonger la moitié de la longueur définie de chaque côté du plan d'esquisse.

Inversé

Inverse la direction de la protrusion.

Propriétés

  • DONNÉESRefine (affiner): v0.17 et ultérieures true (vrai) ou false (faux). Nettoie les arêtes résiduelles laissées par l'opération. Cette propriété adopte initialement les réglages de l'utilisateur (qui se retrouvent sous Préférences → Conception de pièce → Général → Paramètres de modèle). La valeur peut être changée par la suite. Elle sera sauvegardée dans le document FreeCAD.

Limitations

  • Comme toutes les fonctions Part Design, la Protrusion créé un solide, l'esquisse doit par conséquent inclure un profil fermé ou elle échouera. Il peut y avoir plusieurs profils fermés à l'intérieur d'un profil fermé plus grand, pourvu qu'aucun des profils ne s'entrecroise (par exemple, un rectangle avec deux cercles à l'intérieur sera valide).
  • L'algorithme utilisé pour Au premier et Au dernier fonctionne ainsi :
    • Il crée une ligne passant par le centre de gravité de l'esquisse ;
    • Il trouve toutes les faces du support coupées par cette ligne ;
    • Il choisit la face la plus près/la plus loin du point d'intersection de l'esquisse.
  • Cela veut dire que la face trouvée pourrait ne pas être celle attendue. Si vous faites face à ce problème, utilisez plutôt le type Jusqu'à la face et sélectionnez la face désirée.
  • Dans le cas très spécifique d'une protrusion sur une surface concave, où l'esquisse est plus grande que cette surface, la protrusion échouera. Il s'agit d'un bogue non-résolu.
  • v0.16 et ultérieures Il n'y a pas de nettoyage automatique des surfaces planaires adjacentes pour former une seule surface. Vous pouvez corriger cela manuellement dans l'atelier Part (Pièce) avec l'outil Affiner la forme (qui créé un solide non-associatif et non-paramétrique) ou encore avec une fonction d'affinage de la forme de l'atelier OpenSCAD qui créé une fonction paramétrique.
Arrow-left.svg Page précédente: PartDesign Clone.png Créer un clone
Page suivante: Revolution PartDesign Revolution.png Arrow-right.svg
Arrow-left.svg Page précédente: PartDesign AdditiveWedge.png Cale additive
Page suivante: Perçage PartDesign Hole.png Arrow-right.svg

PartDesign Pocket.svg Cavité

Emplacement du menu
PartDesign → Cavité
Ateliers
PartDesign
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Protrusion


Description

L'outil Cavité découpe un solide en extrudant une esquisse (ou une face du solide) selon un tracé rectiligne et en le soustrayant du solide.

PartDesign Pocket example.svg

Le profil d'esquisse (A) a été appliqué sur la face de dessus du solide (B) ; le résultat après l'opération de cavité est montré à droite.

Utilisation

  1. Sélectionner une esquisse.
    v0.16 et antérieures Celle-ci doit être appliquée sur la face planaire d'un solide ou d'une fonction PartDesign existant, sinon un message d'erreur apparaîtra.
  2. Cliquer sur le bouton PartDesign Pocket.png Cavité.
  3. Définir les paramètres de cavité (voir section suivante).
  4. Cliquer sur OK.

Options

Pocket options fr.png

À la création d'une cavité, le dialogue Paramètres de cavité offre cinq façons différentes de définir la longueur (profondeur) à laquelle la cavité sera extrudée :

Dimension

Permet de saisir une valeur numérique pour la profondeur de la cavité. La direction par défaut de la cavité est vers le haut du plan d'esquisse. L'extrusion s'effectue normale au plan de l'esquisse. Les valeurs numériques négatives ne sont pas allouées.

Au premier

La cavité sera prolongée jusqu'à la première face rencontrée dans la direction d'extrusion. Autrement dit, elle coupera à travers le solide jusqu'à ce qu'elle atteigne un espace vide.

À travers tout

La cavité coupera à travers tout le solide dans la direction d'extrusion. Avec l'option « Symétrique au plan », la cavité coupera à travers tout dans les deux directions.

Jusqu'à la face

La cavité sera prolongée jusqu'à la face sélectionnée du support. La face est sélectionnée en cliquant sur le bouton Face, puis en cliquant sur la face désirée dans la vue modèle.

Deux dimensions

v0.17 et ultérieures Permet de saisir une seconde valeur de longueur pour prolonger la protrusion dans la direction opposée (à travers le support). La direction peut également être changée avec l'option Inversé.


Limitations

  • Utilisez le type Dimension ou À travers tout dans la mesure du possible, car les autres types peuvent parfois causer problème quand la cavité est utilisée pour une répétition linéaire ou circulaire.
  • Autrement, la fonction cavité partage les mêmes limitations que la fonction protrusion.

Liens utiles

Un exemple pratique sur le forum (en anglais).


Arrow-left.svg Page précédente: PartDesign AdditiveWedge.png Cale additive
Page suivante: Perçage PartDesign Hole.png Arrow-right.svg
Arrow-left.svg Page précédente: PartDesign Pad.png Protrusion
Page suivante: Lissage additif PartDesign AdditiveLoft.png Arrow-right.svg

PartDesign Revolution.svg Révolution

Emplacement du menu
Part Design → Révolution
Ateliers
PartDesign
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Introduction

Cet outil produit un solide par révolution d'une esquisse ou d'un objet 2D sélectionné autour d'un axe donné.

PartDesign Revolution example.svg

Ci-dessus : l'esquisse (A) est révolutionnée de 270 degrés dans le sens antihoraire autour de l'axe (B) ; le solide résultant (C) est montré à droite.

Utilisation

  1. Sélectionner l'esquisse à révolutionner. v0.17 et ultérieures Une face du solide peut également être utilisée.
  2. Appuyer sur le bouton PartDesign Revolution.png Révolution.
  3. Définir les paramètres de la révolution (voir la section suivante).
  4. Appuyer sur le bouton OK.

Options

Lors de la création de la révolution, les Paramètres de la révolution permettent de définir les réglages de révolution de l'esquisse.

Partdesign revolution parameters.png

Axe

Cette option spécifie l'axe autour duquel l'esquisse doit être tournée.

  • Axe d'esquisse vertical : sélectionne l'axe d'esquisse vertical.
  • Axe d'esquisse horizontal : sélectionne l'axe d'esquisse horizontal.
  • Sketch axis: v0.16 et antérieures sélectionne une ligne de construction contenue dans l'esquisse utilisée par la Révolution. La première ligne de construction créée dans l'esquisse sera nommée Sketch axis 0. Le menu déroulant contiendra une entrée pour chaque ligne de construction.
  • Ligne de construction : v0.17 et ultérieures sélectionne une ligne de construction contenue dans l'esquisse utilisée par la Révolution. Le menu déroulant contiendra une entrée pour chaque ligne de construction. La première ligne de construction créée dans l'esquisse sera précédée du chiffre 1.
  • Axe (X/Y/Z) : v0.17 et ultérieures sélectionne l'axe X, Y ou Z de l'origine du corps.
  • Sélectionner une référence...: v0.17 et ultérieures permet de sélectionner dans la vue 3D une arête du corps ou une ligne de référence.

Angle

Détermine la valeur de la rotation, par exemple, 360 ° seraient, une révolution complète. Il n'est pas possible de spécifier des angles négatifs (utiliser l'option Inversée à la place) ou des angles supérieurs à 360 °.

Symétrique au plan

La révolution s'étendra de la moitié de l'angle spécifié dans les deux directions symétriques au plan d'esquisse.

Inversé

La direction de la révolution sera inversée du défaut, qui est dans le sens des aiguilles d'une montre.


Propriétés

Ci-dessous les propriétés qui peuvent être modifiées après la création de la fonction. Les propriétés sous l'onglet Données Base et Axis ne sont pas modifiables.

  • DONNÉESAngle: angle de rotation. Voir Angle.
  • DONNÉESLabel: étiquette donnée à l'opération; peut être changée selon votre convenance.
  • DONNÉESMidplane: true (vrai) ou false (faux). Voir Symétrique au plan.
  • DONNÉESReversed: true (vrai) ou false (faux). Voir Inversé.
  • DONNÉESRefine: v0.17 et ultérieures true (vrai) ou false (faux). Si la valeur est true, nettoie le solide des arêtes résiduelles laissées par les fonctions. Voir Affiner la forme pour plus de détails.

Exemples

Exemple de révolution utilisant une ligne de construction comme axe de révolution: dans cette image l'angle est de 75 °, la révolution est sur la ligne de construction (axe Sketch 0)


Liens utiles

Un exemple d'utilisation détaillé sur le forum (en anglais).


Arrow-left.svg Page précédente: PartDesign Pad.png Protrusion
Page suivante: Lissage additif PartDesign AdditiveLoft.png Arrow-right.svg
Arrow-left.svg Page précédente: PartDesign Hole.png Forage
Page suivante: Lissage soustractif PartDesign SubtractiveLoft.png Arrow-right.svg

PartDesign Groove.svg Rainure

Emplacement du menu
PartDesign → Rainure
Ateliers
PartDesign
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

L'outil Rainure/Enlèvement de matière par révolution applique une révolution à une esquisse ou un profil sélectionné autour d'un axe donné, et découpe une rainure.

PartDesign Groove example.svg

Ci-dessus : l'esquisse (A) est pivotée le long de de l'axe (B) ; la rainure résultante sur le solide (C) est montrée à droite.

Utilisation

  1. Sélectionner l'esquisse à révolutionner.
    v0.17 et ultérieures Une face du solide peut également être utilisée.
    v0.16 et antérieures L'esquisse doit être appliquée sur une face planaire d'un solide existant ou d'une fonction PartDesign, sinon un message d'erreur apparaîtra.
  2. Appuyer sur le bouton PartDesign Groove.png Enlèvement de matière par révolution.
  3. Définir les paramètres de la révolution (voir la section suivante).
  4. Appuyer sur le bouton OK.

Options

Lors de la création de la révolution, les Paramètres de la révolution permettent de définir les réglages de révolution de l'esquisse.

Partdesign groove parameters.png

Axe

Cette option spécifie l'axe autour duquel l'esquisse doit être tournée.

  • Axe d'esquisse vertical : sélectionne l'axe d'esquisse vertical.
  • Axe d'esquisse horizontal : sélectionne l'axe d'esquisse horizontal.
  • Sketch axis: v0.16 et antérieures sélectionne une ligne de construction contenue dans l'esquisse utilisée par la Révolution. La première ligne de construction créée dans l'esquisse sera nommée Sketch axis 0. Le menu déroulant contiendra une entrée pour chaque ligne de construction.
  • Ligne de construction : v0.17 et ultérieures sélectionne une ligne de construction contenue dans l'esquisse utilisée par la Révolution. Le menu déroulant contiendra une entrée pour chaque ligne de construction. La première ligne de construction créée dans l'esquisse sera précédée du chiffre 1.
  • Axe (X/Y/Z) : v0.17 et ultérieures sélectionne l'axe X, Y ou Z de l'origine du corps.
  • Sélectionner une référence...: v0.17 et ultérieures permet de sélectionner dans la vue 3D une arête du corps ou une ligne de référence.

Angle

Détermine la valeur de la rotation, par exemple, 360 ° seraient, une révolution complète. Il n'est pas possible de spécifier des angles négatifs (utiliser l'option Inversée à la place) ou des angles supérieurs à 360 °.

Symétrique au plan

La révolution s'étendra de la moitié de l'angle spécifié dans les deux directions symétriques au plan d'esquisse.

Inversé

La direction de la révolution sera inversée du défaut, qui est dans le sens des aiguilles d'une montre.

Propriétés

Ci-dessous les propriétés qui peuvent être modifiées après la création de la fonction. Les propriétés sous l'onglet Données Base et Axis ne sont pas modifiables.

  • DONNÉESAngle: angle de rotation. Voir Angle.
  • DONNÉESLabel: étiquette donnée à l'opération; peut être changée selon votre convenance.
  • DONNÉESMidplane: true (vrai) ou false (faux). Voir Symétrique au plan.
  • DONNÉESReversed: true (vrai) ou false (faux). Voir Inversé.
  • DONNÉESRefine: v0.17 et ultérieures true (vrai) ou false (faux). Si la valeur est true, nettoie le solide des arêtes résiduelles laissées par les fonctions. Voir Affiner la forme pour plus de détails.


Arrow-left.svg Page précédente: PartDesign Hole.png Forage
Page suivante: Lissage soustractif PartDesign SubtractiveLoft.png Arrow-right.svg

Outils de modification

Ces outils permettent de modifier des objets existants.
Arrow-left.svg Page précédente: PartDesign MultiTransform.png Transformation multiple
Page suivante: Chamfrein PartDesign Chamfer.png Arrow-right.svg

PartDesign Fillet.svg Congé

Emplacement du menu
Part Design → Congé
Ateliers
PartDesign
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Congé


Description

Cet outil applique des text-top=Congé Congés sur les arêtes sélectionnées d'un objet. Un nouvel élément Fillet (suivi d'un nombre séquentiel s'il ne s'agit pas du premier text-top=Congé Congé créé dans le document) est ajouté dans l'arborescence Projet.

Select edges on the object before starting the tool.
Set the fillet radius in the Fillet parameters.
A Fillet object is added in the Project tree.

Comment l'utiliser

  • Sélectionnez une ou plusieurs arêtes ou une face sur un objet, puis démarrez l'outil en cliquant sur son icône ou en accédant au menu. Si vous avez sélectionné une face, toutes ses arêtes sont respectées pour le filetage.
  • Dans les paramètres de congé du panneau de tâches, définissez le rayon du congé en entrant la valeur ou en cliquant sur les flèches haut/bas. Le congé appliqué est affiché en temps réel.
  • Si vous souhaitez ajouter d'autres arêtes ou faces, cliquez d'abord sur le bouton Ajouter une référence, puis sélectionnez l'arête ou la face.
  • Si vous souhaitez supprimer des arêtes ou des faces, cliquez sur le bouton Supprimer réf. Tous les bords et toutes les faces précédemment sélectionnés sont surlignés en violet. Sélectionnez le bord ou la face à supprimer.
  • Cliquez sur OK pour valider.
  • Pour une chaîne d'arêtes tangentes les unes aux autres, vous pouvez sélectionner une seule arête; le filet se propage le long de la chaîne.
  • Pour modifier le congé après la validation de la fonction, vous pouvez soit double-cliquer sur l'étiquette du congé dans l'arborescence du projet, soit cliquer dessus avec le bouton droit de la souris et sélectionner Modifier le congé.

PartDesign Fillet VS. Congé de Part

Le congé PartDesign ne doit pas être confondu avec son Pièce. Bien qu'ils partagent la même icône, ils ne sont pas les mêmes et ne sont pas utilisés de la même manière. Voici comment ils diffèrent les uns des autres:

  • Le congé PartDesign est paramétrique. Après avoir appliqué un congé, son rayon peut être modifié. cela n'est pas possible avec le congé Part Fillet.
  • Les bords doivent être sélectionnés sur un objet avant d'activer le congé PartDesign. Avec le congé de la pièce, l'outil peut être démarré, puis un solide est sélectionné, puis des arêtes.
  • Le congé PartDesign crée une entrée de congé distincte (suivie d'un numéro séquentiel s'il existe déjà des congés) dans l'arbre du projet. Le congé de pièce devient le parent de l'objet auquel il a été appliqué.
  • Le congé PartDesign offre un aperçu en direct du congé appliqué à l'objet avant de valider la fonction.
  • Le congé de pièce prend en charge des rayons variables (avec un rayon de départ et un rayon de fin). Le congé PartDesign ne fonctionne pas.


Problèmes connus

Les congés, chanfreins et autres fonctionnalités opérant sur les corps solides dépendent du noyau OpenCASCADE Technology (OCCT) sous-jacent utilisé par FreeCAD. Le noyau OCCT a parfois du mal à gérer les arêtes vives qui coïncident, là où deux faces se rencontrent. Si tel est le cas, FreeCAD peut se bloquer sans explication.

Si exécuté à partir du terminal, FreeCAD peut générer un journal comme celui-ci après le crash:

#1  0x7fff63d660ba in BRep_Tool::Curve(TopoDS_Edge const&, TopLoc_Location&, double&, double&) from /usr/lib/x86_64-linux-gnu/libTKBRep.so.7+0x2a
#2  0x7fff63d69546 in BRep_Tool::Curve(TopoDS_Edge const&, double&, double&) from /usr/lib/x86_64-linux-gnu/libTKBRep.so.7+0x46
#3  0x7fff71f4fef5 in ChFi3d_Builder::PerformIntersectionAtEnd(int) from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0x3b05
#4  0x7fff71f58307 in ChFi3d_Builder::PerformOneCorner(int, bool) from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0x1097
#5  0x7fff71ef6218 in ChFi3d_Builder::PerformFilletOnVertex(int) from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0x4e8
#6  0x7fff71ef71d1 in ChFi3d_Builder::Compute() from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0xe31
#7  0x7fff720ad7c3 in BRepFilletAPI_MakeChamfer::Build() from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0x33
#8  0x7fff723be48e in PartDesign::Chamfer::execute() from /usr/lib/freecad-daily/lib/_PartDesign.so+0x60e
...

Cette sortie fait référence à des fonctions situées dans libTKBRep.so, libTKFillet.so, etc., qui sont des bibliothèques OCCT. Si ce type de crash se produit, le problème devra peut-être être signalé et résolu dans OCCT plutôt que dans FreeCAD.

Voir les discussions du forum pour plus d'informations:

L'utilisateur est également responsable de l'intégrité de son propre modèle. Selon le modèle, il peut être impossible d'effectuer un congé ou un chanfrein si le corps n'est pas assez grand pour supporter cette opération. Par exemple, il ne serait pas possible de créer un congé de 10 mm si un bord n'est séparé que de 5 mm de la surface suivante. Dans ce cas, le rayon maximal pour un congé serait de 5 mm; essayer d'utiliser une valeur plus grande peut entraîner une forme qui ne calcule pas, voire un crash. Si l'utilisation de la limite exacte de 5 mm ne fonctionne pas, il est possible d'utiliser une approximation très proche, telle que 4,9999 mm, pour obtenir le même résultat visible.

Nom topologique

Les nombres d'arêtes ne sont pas complètement stables. Il est donc conseillé de terminer le travail de conception principal de votre corps solide avant d'appliquer des fonctions telles que les congés et les chanfreins, sans quoi les arêtes pourraient changer de nom et les arêtes filetées pourraient devenir invalides.

Script

L'outil text-top=Congé Congés peut servir dans une macros, et, à partir de la console Python en utilisant la fonction suivante :

Box = Box.makeFillet(3,[Box.Edges[0]]) # 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
  • 3 = rayon du congé
  • Box.Edges[2] = bord avec son numéro


Exemple :

import PartDesign
from FreeCAD import Base

Box = Part.makeBox(10,10,10)
Box = Box.makeFillet(3,[Box.Edges[0]]) # pour 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
Part.show(Box)
Arrow-left.svg Page précédente: PartDesign MultiTransform.png Transformation multiple
Page suivante: Chamfrein PartDesign Chamfer.png Arrow-right.svg


Arrow-left.svg Page précédente: PartDesign Fillet.png PartDesign Congé
Page suivante: PartDesign Dépouille PartDesign Draft.png Arrow-right.svg

PartDesign Chamfer.svg Chanfrein PartDesign

Emplacement du menu
Part Design → Chanfrein
Ateliers
Atelier PartDesign
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Chanfrein Pièce


Description

Cet outil crée des chanfreins (une face plate à 45 degrés par rapport aux deux faces adjacentes) sur les arêtes sélectionnées d'un objet. Une nouvelle entrée distincte de chanfrein (suivie d'un numéro consécutif s'il existe déjà des chanfreins dans le document) est créée dans l'arborescence du projet.

Utilisation

  • Sélectionnez une ou plusieurs arêtes ou une face sur un objet, puis démarrez l'outil en cliquant sur PartDesign Chamfer PartDesign Chamfer ou PartDesignChamfer dans le menu supérieur. Si vous sélectionnez une face, toutes ses arêtes sont prises en compte pour le chanfreinage.
  • Dans les paramètres Chanfrein du panneau de tâches, définissez la taille du chanfrein en entrant la valeur ou en cliquant sur les flèches haut/bas. Le chanfrein appliqué est affiché en temps réel.
  • Si vous souhaitez ajouter d'autres arêtes ou faces, cliquez d'abord sur le bouton Add ref, puis sélectionnez l'arête ou la face.
  • Si vous souhaitez supprimer des arêtes ou des faces, cliquez sur le bouton Remove ref. Tous les bords et toutes les faces précédemment sélectionnés sont surlignés en violet. Sélectionnez le bord ou la face à supprimer.
  • Cliquez sur OK pour valider.
  • Pour une chaîne d'arêtes tangentes les unes aux autres, vous pouvez sélectionner une seule arête; le chanfrein se propage le long de la chaîne.
  • Pour éditer le chanfrein une fois la fonction validée, double-cliquez sur l'étiquette Chanfrein dans l'arborescence du projet ou cliquez dessus avec le bouton droit de la souris et sélectionnez Edit Chamfer.

PartDesign Chamfer vs. Part Chamfer

Le chanfrein PartDesign ne doit pas être confondu avec Part Chanfrein. Bien qu'ils partagent la même icône, ils ne sont pas les mêmes et ne sont pas utilisés de la même manière. Voici comment ils diffèrent:

  • Les bords doivent être sélectionnés sur un objet avant d'activer le chanfrein PartDesign. Avec le chanfrein de pièce, l'outil peut être démarré, puis un solide est sélectionné, puis des arêtes.
  • Le PartDesign Chamfer crée une entrée de congé distincte (suivie d'un numéro séquentiel s'il existe déjà des filets) dans l'arborescence du projet pour le corps actuel. La partie Chanfrein devient le parent de l'objet auquel il a été appliqué.
  • Le PartDesign Chamfer offre un aperçu en direct du congé appliqué à l'objet avant de valider la fonction.


Arrow-left.svg Page précédente: PartDesign Fillet.png PartDesign Congé
Page suivante: PartDesign Dépouille PartDesign Draft.png Arrow-right.svg

Outils de transformation

Ce sont des outils de transformation d'éléments existants. Ils vous permettrons de choisir les objets à transformer.
Arrow-left.svg Page précédente: PartDesign SubtractiveWedge.png‎Cale soustractive
Page suivante: Répétition linéaire PartDesign LinearPattern.png Arrow-right.svg

PartDesign Mirrored.svg Symétrie

Emplacement du menu
Part Design → Symétrie
Ateliers
PartDesign
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

L'outil Symétrie copie symétriquement une fonction par rapport à un plan. À partir de la version 0.17, plusieurs fonctions peuvent être copiées.

PartDesign Mirrored example.svg

Ci-dessus : une fonction Cavité a été créée à partir d'une esquisse qui comprend un cercle (A) ; la Cavité est ensuite utilisée pour créer la fonction de symétrie. L'axe vertical de l'esquisse (B) est utilisé comme axe de symétrie. Le résultat est affiché à droite (C).

Utilisation

  1. Sélectionner la ou les fonction(s) à symétriser. Alternativement, la fonction peut être sélectionnée depuis une fenêtre de dialogue après l'étape 2.
    v0.16 et antérieures Une seule fonction peut être sélectionnée, et elle doit se trouver tout au bas de l'arborescence des fonctions.
  2. Appuyer sur le bouton PartDesign Mirrored.png Symétrie.
  3. v0.17 et ultérieures Appuyer sur le bouton Ajouter une fonction pour ajouter une fonction à symétriser. La fonction doit être visible dans la vue 3D :
    1. Basculer vers l'arborescence Modèle ;
    2. Sélectionner dans l'arborescence la fonction à ajouter puis appuyer sur Espace pour la rendre visible dans la vue 3D ;
    3. Retourner à l'onglet Tâches ;
    4. Sélectionner le modèle dans la vue 3D ; la fonction sera ajoutée dans la liste.
    5. Répéter au besoin pour ajouter d'autres fonctions.
  4. v0.17 et ultérieures Appuyer sur le bouton Supprimer une fonction pour supprimer une fonction de la liste, ou faire un clic-droit sur la fonction dans la liste et sélectionner Enlever.
  5. Définir le plan de symétrie. Voir Options.
  6. Appuyer sur OK.

Options

Les paramètres de symétrie sous la v0.16 et antérieures.
Les paramètres de symétrie sous la v0.17 et ultérieures.

Plan

Lors de la création d'une symétrie, le dialogue des Paramètres de symétrie offre plusieurs façons de spécifier l'axe ou le plan de symétrie.

Axe d'esquisse horizontal

Utilise l'axe horizontal de l'esquisse comme axe de symétrie.

Axe d'esquisse vertical

Utilise l'axe vertical de l'esquisse comme axe de symétrie.

Sélectionnez une référence ...

Vous permet de sélectionner un plan (comme une face d'un objet) pour l'utiliser comme plan de symétrie.

Axe personnalisé d'esquisse

Si l'esquisse qui définit la fonction à symétriser contient également une ou plusieurs ligne(s) de construction, alors la liste déroulante contiendra un axe d'esquisse personnalisé pour chaque ligne de construction. La première ligne de la construction sera étiquetée Sketch axis 0. L'image ci-dessous est un exemple avec l'esquisse en mode d'édition affichant une ligne de construction utilisée comme axe de symétrie.

PartDesign Mirrored axis fromconstructionlines.jpg

Plan (XY/XZ/YZ)

v0.17 et ultérieures Sélectionne l'un des plans standards de l'origine du Corps (XY, XZ ou YZ).

Aperçu

Le résultat de la symétrie peut être prévisualisé en temps réel avant de cliquer sur OK en cochant Réactualiser la vue.


Limitations

  • v0.16 et ultérieures Seule la dernière fonction dans l'arborescence du projet peut être choisie pour la symétrie. Par conséquent,
    • il n'est pas possible de choisir plus d'une fonction à symétriser ;
    • il n'est pas possible d'ajouter des fonctions à la liste des fonctions originales.
  • v0.16 et ultérieures Une fois que la fonction de symétrie a été lancée ou complétée, il n'est plus possible de remplacer la fonction originale.
  • La fonction de symétrie ne peut pas symétriser un solide entier. Pour cela, voir Mise en miroir.
  • La fonction de symétrie doit intersecter le solide (aussi appelé support) sur lequel elle est basée, sinon la commande échouera.


Arrow-left.svg Page précédente: PartDesign SubtractiveWedge.png‎Cale soustractive
Page suivante: Répétition linéaire PartDesign LinearPattern.png Arrow-right.svg
Arrow-left.svg Page précédente: PartDesign Mirrored.png Symétrie
Page suivante: Répétition circulaire PartDesign PolarPattern.png Arrow-right.svg

PartDesign LinearPattern.svg Répétition linéaire

Emplacement du menu
Part Design → Répétition linéaire
Ateliers
PartDesign
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

L'outil Répétition linéaire créé des copies d'une fonction espacées également le long d'une droite. À partir de la version 0.17, il peut copier plusieurs fonctions.

PartDesign LinearPattern example.svg

Ci-dessus, une protrusion en forme de L (B) créée sur le dessus de la protrusion de base (A, aussi dénommée "support") est utilisée dans une répétition linéaire. Le résultat (C) est affiché à droite.

Utilisation

  1. Sélectionner la ou les fonctions à répéter. Alternativement, une fonction peut être sélectionné depuis une fenêtre de dialogue après l'étape 2.
    v0.16 et antérieures Une seule fonction peut être sélectionnée, et il doit s'agir de la toute dernière fonction au bas de l'arborescence.
  2. Cliquer sur le bouton PartDesign LinearPattern.png Répétition linéaire.
  3. v0.17 et ultérieures Cliquer sur Ajouter une fonction pour ajouter une fonction à répéter. La fonction doit être visible dans la vue 3D :
    1. Basculer vers l'arborescence Modèle ;
    2. Sélectionner dans l'arborescence la fonction à ajouter puis appuyer sur Espace pour la rendre visible dans la vue 3D ;
    3. Retourner à l'onglet Tâches ;
    4. Sélectionner le modèle dans la vue 3D ; la fonction sera ajoutée dans la liste.
    5. Répéter au besoin pour ajouter d'autres fonctions.
  4. v0.17 et ultérieures Appuyer sur le bouton Supprimer une fonction pour supprimer une fonction de la liste, ou faire un clic-droit sur la fonction dans la liste et sélectionner Enlever.
  5. Définir la direction. Voir Options.
  6. Définir la longueur (distance) entre la dernière occurrence et la fonction originale.
  7. Définir le nombre d'occurrences.
  8. Appuyer sur OK.

Options

Paramètres de répétition linéaire sous la v0.16 et antérieures.
Paramètres de répétition linéaire sous la v0.17 et ultérieures.

Direction

Lors de la création d'une répétition linéaire, la boîte de dialogue 'Paramètres de la répétition linéaire' offre différentes manières de spécifier la direction de la répétition.

Axe d'esquisse horizontal

Utilise l'axe horizontal de l'esquisse comme direction.

Axe d'esquisse vertical

Utilise l'axe vertical de l'esquisse comme direction.

Axe normal à l'esquisse

v0.17 et ultérieures Utilise l'axe normal à l'esquisse comme direction.

Sélectionnez une référence...

Vous permet de sélectionner une ligne de référence, l'arête d'un objet ou une ligne d'une esquisse comme direction.

Axe d'esquisse personnalisé

Si l'esquisse qui définit la fonction à répéter contient également une ou plusieurs ligne(s) de construction, alors la liste déroulante contiendra un axe d'esquisse personnalisé pour chaque ligne de construction. La première ligne de la construction sera étiquetée Sketch axis 0.

Axe (X/Y/Z)

v0.17 et ultérieures Sélectionne l'un des axes standards de l'origine du Corps (X, Y ou Z).


Limitations

  • Les formes répétées ne peuvent pas se chevaucher, sauf dans le cas spécifique de seulement deux occurrences (original plus une copie).
  • Les formes qui ne chevauchent pas le support original seront exclues. Ceci garantit qu'une fonction PartDesign se compose toujours d'un volume solide unique.
  • Ne fonctionne qu'avec les fonctions additives et soustractives ; les outils de transformation, outils d'habillage et opérations Booléennes ne sont pas prises en charge.
  • Pour d'autres limitations, voir Symétrie.


Arrow-left.svg Page précédente: PartDesign Mirrored.png Symétrie
Page suivante: Répétition circulaire PartDesign PolarPattern.png Arrow-right.svg

PartDesign PolarPattern.svg Répétition circulaire

Emplacement du menu
Part Design → Répétition circulaire
Ateliers
PartDesign
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

L'outil répétition circulaire prend une fonction sélectionnée et produit à partir de celle-ci un ensemble de copies pivotées autour d'un axe donné. À partir de la version 0.17, il peut copier plusieurs fonctions.

PartDesign PolarPattern example.png

Ci-dessus : une cavité de forme oblongue (B) faite sur un solide de base (A, aussi dénommée "support") est utilisée pour une répétition circulaire. Le résultat (C) est affiché à droite.

Utilisation

  1. Sélectionner la ou les fonctions à répéter. Alternativement, une fonction peut être sélectionnée depuis une fenêtre de dialogue après l'étape 2.
    v0.16 et antérieures Une seule fonction peut être sélectionnée, et il doit s'agir de la toute dernière fonction au bas de l'arborescence.
  2. Cliquer sur le bouton PartDesign LinearPattern.png Répétition linéaire.
  3. v0.17 et ultérieures Cliquer sur Ajouter une fonction pour ajouter une fonction à répéter. La fonction doit être visible dans la vue 3D :
    1. Basculer vers l'arborescence Modèle ;
    2. Sélectionner dans l'arborescence la fonction à ajouter puis appuyer sur Espace pour la rendre visible dans la vue 3D ;
    3. Retourner à l'onglet Tâches ;
    4. Sélectionner le modèle dans la vue 3D ; la fonction sera ajoutée dans la liste.
    5. Répéter au besoin pour ajouter d'autres fonctions.
  4. v0.17 et ultérieures Appuyer sur le bouton Supprimer une fonction pour supprimer une fonction de la liste, ou faire un clic-droit sur la fonction dans la liste et sélectionner Enlever.
  5. Définir l'axe. Voir Options.
  6. Définir l'angle entre la dernière occurrence et la fonction originale.
  7. Définir le nombre d'occurrences.
  8. Appuyer sur OK.

Options

Polarpattern parameters.png

Axe

Lors de la création d'une fonction de répétition circulaire, la boîte de dialogue Paramètres de répétition circulaire offre différentes façons de définir l'axe de rotation du modèle.

Axe normal à l'esquisse

Un axe normal au plan d'esquisse et centré sur l'origine de l'esquisse est utilisé comme axe de rotation de la répétition circulaire. En cochant Inverser la direction, la direction de la répétition peut être inversée.

Axe d'esquisse horizontal

Utilise l'axe horizontal de l'esquisse comme axe.

Axe d'esquisse vertical

Utilise l'axe vertical de l'esquisse comme axe.

Axe d'esquisse personnalisé

Si l'esquisse qui définit la fonction à répéter contient également une ou plusieurs ligne(s) de construction, la liste déroulante contiendra un axe d'esquisse personnalisé pour chaque ligne de construction. La première ligne de la construction sera étiquetée Sketch axis 0.

Axe (X/Y/Z)

v0.17 et ultérieures Sélectionne l'un des axes standards de l'origine du corps (X, Y ou Z).

Sélectionnez une référence...

Vous permet de sélectionner une ligne de référence, l'arête d'un objet ou une ligne d'une esquisse comme axe.

Angle et occurrences

Spécifie l'angle qui sera couvert par la répétition circulaire, ainsi que le nombre total de répétitions (y compris la forme d'origine). Par exemple, quatre occurrences dans un angle de 180 degrés donnera un espacement de 60 degrés entre les répétitions. Il existe une exception : si l'angle est de 360 degrés, puisque la première et la dernière occurrence sont identiques, quatre occurrences seront espacées de 90 degrés.

Limitations


PartDesign Scaled.svg Echelle

Emplacement du menu
PartDesign → MultiTransform
Ateliers
PartDesign, Complet
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Note

Depuis FreeCAD 0.15, cette fonctionnalité n’est pas disponible directement, mais est incluse en tant que MultiTransform composant

Introduction

L'outil text-top=Echelle Echelle : prend un ou plusieurs objet(s) sélectionné(s) comme entrée (les originaux), et, les transformes à un facteur d'échelles donné. Étant donné que l'text-top=Echelle Echelle, se construit autour du centre de gravité, des objets choisis, ils disparaissent habituellement à l'intérieur de la version de l'échelle. Donc, normalement il est seulement judicieux d'utiliser l'text-top=Echelle Echelle, dans le cadre de la fonction text-top=PartDesign_MultiTransform Transformation Multiple.

Options

Scaled parameters.png

Lorsque vous utilisez la fonction text-top=Echelle Echelle, la boîte de dialogue des paramètres d'text-top=Echelle Echelle, offre les options suivantes :

Selection des originaux

La fenêtre affiche les originaux, des objets qui doivent être mis à l'text-top=Echelle Echelle. En cliquant sur un objet, il sera ajouté à la liste.

Facteur et Occurrences

Spécifie le nombre et le facteur maximal à donner aux objets, qui vont être mis à l'text-top=Echelle Echelle, (y compris la sélection originale).


Limitations

  • L'text-top=Echelle Echelle a toujours comme centre de gravité, le point de base.
  • Une transformation mise à l'échelle ne doit pas être la première de la liste
  • La transformation mise à l'échelle doit avoir le même nombre d'occurrences que la transformation la précédant immédiatement dans la liste.
  • Allez sur text-top=Répétition Linéaire de Modéle Répétition Linéaire de Modéle, pour voir les autres limitations.

Les outils de transformations Part Design

Miroir     Fonction linéaire    Fonction polaire     Echelle    Multi transformation   

Exemples

c

Le plus petit pad a d'abord été configuré trois fois dans la direction X, puis redimensionné en deux (les trois occurrences ont donc les facteurs d'échelle 1.0, 1.5 et 2.0). Ensuite, un motif polaire a été appliqué avec 8 occurrences.

Étant donné que la mise à l'échelle est effectuée par rapport au centre de gravité, dans le cas d'un pad, il est nécessaire que le pad pénètre également dans le corps principal, sinon les objets à mettre à l'échelle flotteront, se détachent du corps. Pour avoir un pad qui coupe le corps principal, vous pouvez utiliser le type "deux dimensions" ou l'option "simmetric to plane".

Template:Clair
Arrow-left.svg Page précédente: PartDesign PolarPattern.png Répétition circulaire
Page suivante: Congé PartDesign Fillet.png Arrow-right.svg

PartDesign MultiTransform.svg Transformation multiple

Emplacement du menu
Part Design → Transformation multiple
Ateliers
PartDesign
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Introduction

'Créer un motif à partir de combinaisons de transformations' - L'outil PartDesign MultiTransform.png Transformation multiple prend une partie (ou un ensemble de) 'fonctionnalités'en entrée et permet à l'utilisateur d'appliquer plusieurs transformations à cette fonctionnalité (ou à cet ensemble de fonctionnalités) progressivement, en séquence, créant ainsi une transformation combinée ou composée.

Par exemple, pour produire la bride avec une double rangée de trous comme illustré ci-dessous, l'utilisateur:

  1. sélectionne le trou en tant que 'fonctionnalité' (base) dans l'arbre du modèle
  2. clique sur l'icône PartDesign MultiTransform.png Transformation multiple
  3. ajoute un motif linéaire avec deux occurrences dans la direction X
  4. ajoute un motif polaire à huit occurrences autour de l’axe des Y.
"Flange with double row of holes"

Bride à double rangée de trous. Motif de trou créé avec l'outil 'Transformation multiple'.


Utilisation

Avant de commencer l’une des méthodes ci-dessous, assurez-vous que l’objet PartDesign Body.png Corps est actif. Dans le cas contraire, un message d'erreur indiquera que vous avez besoin d'un objet actif PartDesign Body.png Corps avant d'utiliser l'outil PartDesign MultiTransform.png Transformation multiple.

Méthode standard

Avec cette méthode, on commence sans aucune fonction de transformation existante ni de sélection dans la fenêtre ou l'arborescence de l'objet Modèle.
Une fois lancée et complétée par cette méthode, la PartDesign MultiTransform.png Transformation multiple devrait devenir correctement le "Tip" de l'objet Corps (Body).

  1. Cliquez sur PartDesign MultiTransform.png Transformation multiple pour lancer l'opération.
  2. La fenêtre Sélectionner une fonctionnalité vous sera proposée.

Dans la liste, sélectionnez une fonctionnalité initiale à utiliser pour les transformations puis cliquez sur OK pour continuer.

Vous pouvez ajouter des fonctionnalités supplémentaires dans la liste déroulante àl'étape suivante.
PartDesign-MultiTransform-Select feature.png
  1. Les fenêtres Messages des entités transformées et Paramètres MultiTransform s'afficheront.
Vous verrez l'étiquette de l'entité sélectionnée dans la liste des entités sous Add feature et Remove feature.
PartDesign-MultiTransform-General.png

Si vous souhaitez inclure des fonctionnalités supplémentaires pour les transformations, procédez comme suit:

    1. Cliquez sur le bouton Add feature dans l'outil de transformation.
    2. Passer à l'arborescence du modèle (cliquez sur l'onglet Modèle)
    3. Sélectionnez la fonctionnalité que vous souhaitez ajouter et rendez-la visible (barre d'espace, ou clic droit et bascule de visibilité).

Remarque: Ceci masquera la caractéristique précédemment visible.

    1. Cliquez sur n'importe quoi en vue 3D (fenêtre d'affichage).
    2. Cliquez sur l'onglet Tâches de la vue combinée pour revenir à la fenêtre Paramètres MultiTransform.
    3. Vous devriez voir l'étiquette de la fonction récemment sélectionnée apparaître dans la liste de fonctions.
  1. En dessous de la vue liste des fonctionnalités se trouve la vue liste Transformations. Dans le texte, vous devriez voir le texte " 'Cliquez avec le bouton droit de la souris pour ajouter' ".
  2. Ajoutez une transformation en cliquant avec le bouton droit de la souris dans la vue " 'Transformations' pour afficher la liste des options.
    PartDesign-MultiTransform-Transformations-add linear pattern.png
    1. Ajoutez la transformation souhaitée en la sélectionnant dans la liste des options.
    2. La nouvelle entrée de transformation apparaîtra dans la liste 'Transformations' avec les paramètres correspondants apparaissant sous la liste.
      PartDesign-MultiTransform-Transformations-add linear pattern.png
    3. Réglez les paramètres pour la nouvelle transformation. (Vous verrez l'aperçu dans la fenêtre.)
    4. Cliquez sur le bouton OK situé sous ces paramètres pour enregistrer la nouvelle transformation.
  3. Continuez à ajouter des transformations dans l'ordre dans lequel vous souhaitez les appliquer à l'étape 5 ci-dessus.
  4. Vous pouvez également éditer, supprimer et déplacer (changer l'ordre des) les transformations selon vos besoins en cliquant avec le bouton droit de la souris sur une transformation dans la liste 'Transformations' et en sélectionnant l'option correspondante.
  5. Lorsque vous avez terminé d'ajouter et de modifier les transformations, cliquez sur le bouton OK tout en haut pour enregistrer le PartDesign MultiTransform.png MultiTransform et quitter.

Autre méthode 1

Cette méthode commence par une fonction de transformation existante dans l'objet PartDesign Body.png Corps.

  1. Dans l'arborescence du modèle, dans l'objet Body actif, sélectionnez la transformation existante à inclure.
  2. Cliquez sur le PartDesign MultiTransform.png Transformation multiple pour lancer l'opération.
  3. Dans la vue Liste des fonctionnalités, vous verrez les étiquettes des entités de la transformation existante que vous avez incluse.

Pour ajouter des fonctionnalités supplémentaires, voir Étape 3 de la section Méthode standard ci-dessus.

  1. En dessous de la vue liste des fonctionnalités se trouve la vue liste Transformations. À l'intérieur, vous devriez voir l'étiquette de la transformation existante que vous avez incluse.
  2. Terminez en utilisant les étapes 5 à 8 dans la méthode Méthode standard ci-dessus. Une fois lancé et complété de cette façon, PartDesign MultiTransform.png Transformation multiple ne devient généralement pas le "Tip" de l'objet Body. Pour corriger ceci:
  3. Cliquez avec le bouton droit de la souris sur le PartDesign MultiTransform.png Transformation multiple.
  4. Choisissez "Set tip".

Méthode alternative 2

Cette méthode commence par plusieurs transformations d'entités indépendantes et existantes dans l'objet PartDesign Body.png Corps avec l'idée de les combiner ensemble.

REMARQUE: pour combiner des transformations existantes, celles-ci doivent se trouver dans le même objet Body et doivent toutes utiliser la même fonctionnalité ou le même ensemble de fonctionnalités.

  1. Dans l'arborescence du modèle, dans l'objet Corps actif, sélectionnez l'une des transformations existantes parmi celles que vous souhaitez inclure.
  2. Cliquez sur le PartDesign MultiTransform.png MultiTransform pour lancer l'opération.
  3. Cliquez sur le bouton OK en haut pour enregistrer et quitter.
  4. Dans l'arborescence des objets, sélectionnez le PartDesign MultiTransform.png MultiTransform.
  5. Dans la fenêtre Property View, localisez la propriété Transformations dans l'onglet Données.
  6. Editez la propriété Transformations en cliquant sur sa valeur, puis cliquez sur la case ellipse apparue pour ouvrir la fenêtre Liens de cette propriété.
  7. Sélectionnez toutes les transformations d'entités existantes à inclure. Les sélections multiples sont autorisées avec CTRL-clic.
  8. Cliquez sur OK pour enregistrer et fermer la fenêtre Liens.
  9. Cliquez sur le bouton Std Refresh.png Refresh s'il est activé.

Une fois lancé et complété de cette façon, PartDesign MultiTransform.png MultiTransform pourrait ne pas devenir le "conseil" de l'objet Body. Si vous en avez besoin pour être le "conseil":

  1. Cliquez avec le bouton droit de la souris sur le PartDesign MultiTransform.png MultiTransform.
  2. Si disponible, choisissez "Set tip".

Notes d'utilisation

  • Les transformations de fonctions prises en charge sont les suivantes: PartDesign Mirrored.png Mirrored, PartDesign LinearPattern.png Linear Pattern, PartDesign PolarPattern.png Polar Pattern et transformation SCALED.
  • Chaque transformation liée au PartDesign MultiTransform.png MultiTransform doit utiliser la même fonctionnalité ou le même ensemble de fonctionnalités dans chacune.

Limitations

  • Une transformation mise à l'échelle ne doit pas être la première de la liste
  • La transformation mise à l'échelle doit avoir le même nombre d'occurrences que la transformation qui la précède immédiatement dans la liste.
  • Pour d'autres limitations, voir PartDesign LinearPattern.png Linear Pattern


Options

Multitransfrom parameters.png

Lors de la création d'une fonction multitransform, le dialogue 'Paramètres multitransform' propose deux vues de liste différentes.

Sélectionnez les originaux

La liste affiche les "originaux", les fonctions à modeler. En cliquant sur une fonctionnalité l'ajoutera à la liste.

Sélectionnez les transformations

Cette liste peut être complétée par une combinaison des transformations simples miroir, linéaire, polaire et échelle. Les transformations seront appliquées les unes après les autres.

Le menu contextuel propose les entrées suivantes:

Modifier

Permet de modifier les paramètres d'une transformation dans la liste (un double-clic aura le même effet)

Supprimer

Supprime une transformation de la liste

Ajouter une transformation

Ajoute une transformation à la liste

Monter/Descendre

Permet de changer l'ordre des transformations dans la liste


Exemples

c

La plus petite pastille a d'abord été configurée trois fois dans la direction X, puis redimensionnée deux fois plus grand (les trois occurrences ont donc les facteurs d'échelle 1.0, 1.5 et 2.0). Ensuite, un motif polaire a été appliqué avec 8 occurrences.

c

La poche a d'abord été réfléchie sur le plan YZ, puis configurée avec deux motifs linéaires pour donner un motif rectangulaire.


Arrow-left.svg Page précédente: PartDesign PolarPattern.png Répétition circulaire
Page suivante: Congé PartDesign Fillet.png Arrow-right.svg

Credits

FreeCAD Users Contributors.svg

<translate> FreeCAD would not be what it is without the generous contributions of many people. Here's an overview of the people and companies who contributed to FreeCAD over time. For credits for the third party libraries see the Third Party Libraries page.

Development

Project managers

Lead developers of the FreeCAD project: </translate>

<translate>

Main developers

People who work regularly on the FreeCAD code (retrieved from https://github.com/FreeCAD/FreeCAD/graphs/contributors): </translate>

<translate>

Other coders

Other people who contributed code to the FreeCAD project: </translate>

  • Barleyman
  • Berthold Grupp
  • dbtayl
  • Dmitry Chigrin
  • ezzieyguywuf
  • fandaL
  • Georg Wiora
  • Graeme van der Vlugt
  • itain
  • j-dowsett
  • Jacques-Antoine Gaudin
  • jcc242
  • jmaustpc
  • Joachim Zettler
  • jobermayr
  • Johan3DV
  • jonnor
  • keithsloan52
  • Ken Cline
  • Mandeep Singh
  • marktaff
  • Martin Burbaum
  • maurerpe
  • ovginkel
  • peterl94
  • plaes
  • poutine70
  • TheMarkster
  • qingfengxia
  • Remigiusz Fiedler (DXF-parser)
  • SebKuzminsky
  • tomate44
  • triplus
  • usakhelo

<translate>

Companies

Companies which donated code or developer time: </translate>

<translate>

Forum moderators

People in charge of the FreeCAD forum (retrieved from http://forum.freecadweb.org/memberlist.php?mode=team): </translate>

<translate>

Community

People from the community who put a lot of efforts in helping the FreeCAD project either by being active on the forum, keeping a blog about FreeCAD, making video tutorials, packaging FreeCAD for Windows/Linux/MacOS X, writing a FreeCAD book... (listed by alphabetical order) (retrieved from http://forum.freecadweb.org/memberlist.php?mode=&sk=d&sd=d#memberlist) </translate>

<translate>

Documentation writers

People who wrote the documentation on this wiki: </translate>

<translate>

Translators

People who helped to translate the FreeCAD application (retrieved from https://crowdin.com/project/freecad): </translate>

<translate>

Addons developers

Developers of FreeCAD addons (retrieved from https://github.com/FreeCAD/FreeCAD-addons): </translate>

<translate> </translate>